from django.urls import path
from django.conf.urls import url
from .views import *

urlpatterns = [
    path('drivers/', ListDriverView.as_view()),
    path('races/', ListRaceView.as_view()),
    path('relays/', ListRelayView.as_view()),
    path('rules/', ListRulesView.as_view()),
    path('teams/', ListTeamView.as_view()),
    path('engagedpilots/', ListEngagedPilotView.as_view()),
    url('race/(?P<raceid>\d+)', ListRelaysByRaceAndTeamView.as_view()),
]